Bug 1463623 - [Ganesha]Bricks got crashed while running posix compliance test suit on V4 mount
[Ganesha]Bricks got crashed while running posix compliance test suit on V4 m...
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
3.10
Unspecified Unspecified
urgent Severity unspecified
: ---
: ---
Assigned To: Kotresh HR
:
Depends On: 1462773 1463178 1463626
Blocks: glusterfs-3.10.4
  Show dependency treegraph
 
Reported: 2017-06-21 07:05 EDT by Kotresh HR
Modified: 2017-07-05 17:11 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1463178
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Kotresh HR 2017-06-21 07:07:22 EDT
Description of problem:
Volume bricks are crashing while running posix compliance suit on V4 mount

Version-Release number of selected component (if applicable):



How reproducible:
2/2

Steps to Reproduce:
1.Create a 4 node ganesha cluster
2.Create a 6*2 distribute replicate volume.Enable ganesha on it.
3.Mount the volume on client via v4.Run Posix compliance

Actual results:
While running posix compliance bricks are crashing 

Expected results:
Bricks should not crash

Additional info:

Verfied the same on V3 and fuse mount,Issue is not observed.

===========
(gdb) bt
#0  0x00007fa973c581f7 in raise () from /lib64/libc.so.6
#1  0x00007fa973c598e8 in abort () from /lib64/libc.so.6
#2  0x00007fa973c97f47 in __libc_message () from /lib64/libc.so.6
#3  0x00007fa973d32d87 in __fortify_fail () from /lib64/libc.so.6
#4  0x00007fa973d30f40 in __chk_fail () from /lib64/libc.so.6
#5  0x00007fa973d302bb in __strncpy_chk () from /lib64/libc.so.6
#6  0x00007fa966bd292b in changelog_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#7  0x00007fa96679b415 in br_stub_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#8  0x00007fa96658a48b in posix_acl_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/access-control.so
#9  0x00007fa9756696b8 in default_unlink () from /lib64/libglusterfs.so.0
#10 0x00007fa96615c0ce in worm_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/worm.so
#11 0x00007fa965f4e413 in ro_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/read-only.so
#12 0x00007fa965d3e83e in leases_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/leases.so
#13 0x00007fa965b2caf9 in up_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/upcall.so
#14 0x00007fa975684167 in default_unlink_resume () from /lib64/libglusterfs.so.0
#15 0x00007fa975611b25 in call_resume () from /lib64/libglusterfs.so.0
#16 0x00007fa965915957 in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
#17 0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fa973d1b34d in clone () from /lib64/libc.so.6
(gdb) t a a bt

Thread 24 (Thread 0x7fa96872f700 (LWP 1324)):
#0  0x00007fa973d1b923 in epoll_wait () from /lib64/libc.so.6
#1  0x00007fa975648d70 in event_dispatch_epoll_worker () from /lib64/libglusterfs.so.0
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fa96abf5700 (LWP 1315)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa975627728 in syncenv_task () from /lib64/libglusterfs.so.0
#2  0x00007fa975628570 in syncenv_processor () from /lib64/libglusterfs.so.0
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7fa96b3f6700 (LWP 1314)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa975627728 in syncenv_task () from /lib64/libglusterfs.so.0
#2  0x00007fa975628570 in syncenv_processor () from /lib64/libglusterfs.so.0
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fa96c3f8700 (LWP 1312)):
#0  0x00007fa974456371 in sigwait () from /lib64/libpthread.so.0
#1  0x000055b451310efb in glusterfs_sigwaiter ()
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fa94c09b700 (LWP 32698)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa96591590c in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fa96461e700 (LWP 1388)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa9652d7e1b in index_worker () from /usr/lib64/glusterfs/3.8.4/xlator/features/index.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fa975ac7780 (LWP 1310)):
#0  0x00007fa97444ff57 in pthread_join () from /lib64/libpthread.so.0
#1  0x00007fa975649320 in event_dispatch_epoll () from /lib64/libglusterfs.so.0
#2  0x000055b45130dd93 in main ()

Thread 17 (Thread 0x7fa94effd700 (LWP 19746)):
#0  0x00007fa973d1b923 in epoll_wait () from /lib64/libc.so.6
#1  0x00007fa975648d70 in event_dispatch_epoll_worker () from /lib64/libglusterfs.so.0
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fa94c221700 (LWP 30255)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa96591590c in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
---Type <return> to continue, or q <return> to quit---
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fa95d6fb700 (LWP 1395)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bdbf3a in changelog_ev_dispatch () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fa95eefe700 (LWP 1392)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa966bdbcf3 in changelog_ev_connector () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fa95f6ff700 (LWP 1390)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa96679b1a3 in br_stub_signth () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fa94d7fa700 (LWP 1000)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bd8162 in changelog_fsync_thread () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fa94f7fe700 (LWP 1398)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa967d1eaab in posix_fsyncer_pick () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#2  0x00007fa967d1ed35 in posix_fsyncer () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fa94e7fc700 (LWP 999)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa966bd7d4e in changelog_rollover () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fa94dffb700 (LWP 969)):
#0  0x00007fa973ce21ad in nanosleep () from /lib64/libc.so.6
#1  0x00007fa973ce2044 in sleep () from /lib64/libc.so.6
#2  0x00007fa967d1e6fc in posix_health_check_thread_proc () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fa95cefa700 (LWP 19748)):
#0  0x00007fa973ce21ad in nanosleep () from /lib64/libc.so.6
#1  0x00007fa973ce2044 in sleep () from /lib64/libc.so.6
#2  0x00007fa965b3019c in upcall_reaper_thread () from /usr/lib64/glusterfs/3.8.4/xlator/features/upcall.so
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 7 (Thread 0x7fa94ffff700 (LWP 1397)):
#0  0x00007fa974452cf2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa967d1b375 in posix_janitor_thread_proc () from /usr/lib64/glusterfs/3.8.4/xlator/storage/posix.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fa95defc700 (LWP 1394)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bdbf3a in changelog_ev_dispatch () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fa95e6fd700 (LWP 1393)):
#0  0x00007fa973d127a3 in select () from /lib64/libc.so.6
#1  0x00007fa966bdbf3a in changelog_ev_dispatch () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fa96451d700 (LWP 1391)):
#0  0x00007fa974452945 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa966799ccb in br_stub_worker () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fa96bbf7700 (LWP 1313)):
#0  0x00007fa973ce21ad in nanosleep () from /lib64/libc.so.6
#1  0x00007fa973ce2044 in sleep () from /lib64/libc.so.6
#2  0x00007fa97561570d in pool_sweeper () from /lib64/libglusterfs.so.0
#3  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fa96cbf9700 (LWP 1311)):
#0  0x00007fa974455e4d in nanosleep () from /lib64/libpthread.so.0
#1  0x00007fa9755fc3be in gf_timer_proc () from /lib64/libglusterfs.so.0
#2  0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa973d1b34d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fa94c0dc700 (LWP 32582)):
#0  0x00007fa973c581f7 in raise () from /lib64/libc.so.6
#1  0x00007fa973c598e8 in abort () from /lib64/libc.so.6
#2  0x00007fa973c97f47 in __libc_message () from /lib64/libc.so.6
#3  0x00007fa973d32d87 in __fortify_fail () from /lib64/libc.so.6
#4  0x00007fa973d30f40 in __chk_fail () from /lib64/libc.so.6
#5  0x00007fa973d302bb in __strncpy_chk () from /lib64/libc.so.6
#6  0x00007fa966bd292b in changelog_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/changelog.so
#7  0x00007fa96679b415 in br_stub_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/bitrot-stub.so
#8  0x00007fa96658a48b in posix_acl_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/access-control.so
#9  0x00007fa9756696b8 in default_unlink () from /lib64/libglusterfs.so.0
#10 0x00007fa96615c0ce in worm_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/worm.so
#11 0x00007fa965f4e413 in ro_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/read-only.so
#12 0x00007fa965d3e83e in leases_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/leases.so
#13 0x00007fa965b2caf9 in up_unlink () from /usr/lib64/glusterfs/3.8.4/xlator/features/upcall.so
---Type <return> to continue, or q <return> to quit---
#14 0x00007fa975684167 in default_unlink_resume () from /lib64/libglusterfs.so.0
#15 0x00007fa975611b25 in call_resume () from /lib64/libglusterfs.so.0
#16 0x00007fa965915957 in iot_worker () from /usr/lib64/glusterfs/3.8.4/xlator/performance/io-threads.so
#17 0x00007fa97444ee25 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fa973d1b34d in clone () from /lib64/libc.so.6

========================


# gluster v status ganeshavol2
Status of volume: ganeshavol2
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick dhcp42-125.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              49155     0          Y       1892 
Brick dhcp42-127.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              49155     0          Y       14164
Brick dhcp42-129.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              N/A       N/A        N       N/A  
Brick dhcp42-119.lab.eng.blr.redhat.com:/gl
uster/brick1/2                              N/A       N/A        N       N/A  
Brick dhcp42-125.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       1893 
Brick dhcp42-127.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       14174
Brick dhcp42-129.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       19727
Brick dhcp42-119.lab.eng.blr.redhat.com:/gl
uster/brick2/2                              49156     0          Y       1343 
Brick dhcp42-125.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       1886 
Brick dhcp42-127.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       14182
Brick dhcp42-129.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       19736
Brick dhcp42-119.lab.eng.blr.redhat.com:/gl
uster/brick3/2                              49157     0          Y       1352 
Self-heal Daemon on localhost               N/A       N/A        Y       12147
Self-heal Daemon on dhcp42-117.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       7871 
Self-heal Daemon on dhcp42-114.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       16355
Self-heal Daemon on dhcp42-88.lab.eng.blr.r
edhat.com                                   N/A       N/A        Y       5803 
Self-heal Daemon on dhcp42-107.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       3554 
Self-heal Daemon on dhcp42-127.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       14883
Self-heal Daemon on dhcp42-119.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       16151
Self-heal Daemon on dhcp42-129.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       21400
 
Task Status of Volume ganeshavol2
------------------------------------------------------------------------------
There are no active volume tasks



# prove -r /home/new_posix/ntfs-3g-pjd-fstest/
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/00.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/01.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/02.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/03.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/04.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/05.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/06.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/07.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/08.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/09.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/10.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/11.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/12.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chflags/13.t .... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/00.t ...... Failed 2/106 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/01.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/02.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/03.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/06.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/07.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/08.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chmod/11.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/00.t ...... ok       
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/01.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/02.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/03.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/06.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/07.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/08.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/chown/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/ftruncate/00.t .. ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/ftruncate/13.t .. ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/00.t ....... Failed 1/82 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/01.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/02.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/03.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/04.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/05.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/06.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/07.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/08.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/09.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/10.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/11.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/12.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/13.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/14.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/15.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/16.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/link/17.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/00.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/01.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/02.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/03.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/06.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/07.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/08.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/10.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/11.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkdir/12.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/00.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/01.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/02.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/03.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/04.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/05.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/06.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/07.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/08.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/09.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/10.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/11.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mkfifo/12.t ..... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/00.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/01.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/02.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/03.t ...... Failed 9/12 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/04.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/05.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/06.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/07.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/08.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/09.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/10.t ...... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/mknod/11.t ...... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/00.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/01.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/02.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/03.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/04.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/05.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/06.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/07.t ....... Failed 3/23 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/08.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/09.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/10.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/11.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/12.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/13.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/14.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/15.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/16.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/17.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/18.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/19.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/20.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/21.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/22.t ....... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/open/23.t ....... ok   
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/00.t ..... ok     
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/01.t ..... Failed 5/8 subtests 
/home/new_posix/ntfs-3g-pjd-fstest/tests/rename/02.t ..... 1/14 rm: cannot remove ‘_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Comment 2 Worker Ant 2017-06-21 07:09:40 EDT
REVIEW: https://review.gluster.org/17592 (feature/changelog: Fix buffer overflow crash) posted (#1) for review on release-3.10 by Kotresh HR (khiremat@redhat.com)
Comment 3 Worker Ant 2017-06-30 07:45:52 EDT
COMMIT: https://review.gluster.org/17592 committed in release-3.10 by Raghavendra Talur (rtalur@redhat.com) 
------
commit 70be0c14760ce1581515151254d65899ad616324
Author: Kotresh HR <khiremat@redhat.com>
Date:   Tue Jun 20 06:26:18 2017 -0400

    feature/changelog: Fix buffer overflow crash
    
    The buffer used to hold the basename  was hard coded
    to the size of NAME_MAX(255). It might lead to buffer
    overflow crashes when the basename which is sent
    is more than NAME_MAX length. Fixed the same.
    
    > Change-Id: I6c1cad3ccaeb8c55549b1d3c5f96a198f65ba2b7
    > BUG: 1463178
    > Signed-off-by: Kotresh HR <khiremat@redhat.com>
    > Reviewed-on: https://review.gluster.org/17579
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    (cherry picked from commit b224f4253b7d3de3077ee35c8bdc20618eae4b7c)
    
    Change-Id: I6c1cad3ccaeb8c55549b1d3c5f96a198f65ba2b7
    BUG: 1463623
    Signed-off-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-on: https://review.gluster.org/17592
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Zhou Zhengping <johnzzpcrystal@gmail.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.